 ; Copyright 2006-2019 Intel Corporation
 ;
 ; This software and the related documents are Intel copyrighted materials, and
 ; your use of them is governed by the express license under which they were
 ; provided to you (License). Unless the License provides otherwise, you may
 ; not use, modify, copy, publish, distribute, disclose, or transmit this
 ; software or the related documents without Intel's prior written permission.
 ;
 ; This software and the related documents are provided as is, with no express
 ; or implied warranties, other than those that are expressly stated in the
 ; License.

(defclass MPI_INTERNODE
  "This class represents the data collected from a run of a MPI 'Hello
   World' program across mulitple nodes."
  (is-a BASE_NODE BASE_TIMESTAMP IMPI DATABASE)
  (role concrete)
  (pattern-match reactive)
  (slot option_id (type STRING) (default ""))
  (slot status (type SYMBOL) (default ?NONE) (allowed-symbols PASS FAIL)))

