 ; Copyright 2006-2019 Intel Corporation
 ;
 ; This software and the related documents are Intel copyrighted materials, and
 ; your use of them is governed by the express license under which they were
 ; provided to you (License). Unless the License provides otherwise, you may
 ; not use, modify, copy, publish, distribute, disclose, or transmit this
 ; software or the related documents without Intel's prior written permission.
 ;
 ; This software and the related documents are provided as is, with no express
 ; or implied warranties, other than those that are expressly stated in the
 ; License.

(defclass PROCESSOR
  (is-a USER)
  (role concrete)
  (pattern-match reactive)

  (slot double-precision-flops (type FLOAT) (default 0.0)) ; units = flops
  (slot family (type INTEGER))
  (slot frequency (type NUMBER)) ; units = MHz
  (slot model (type INTEGER))
  (slot model_name (type STRING))
  (slot number-of-cores (type INTEGER) (default 1) (range 1 ?VARIABLE))
  (slot stepping (type INTEGER))
  (slot single-precision-flops (type FLOAT) (default 0.0))) ; units = flops
