 ; Copyright 2006-2019 Intel Corporation
 ;
 ; This software and the related documents are Intel copyrighted materials, and
 ; your use of them is governed by the express license under which they were
 ; provided to you (License). Unless the License provides otherwise, you may
 ; not use, modify, copy, publish, distribute, disclose, or transmit this
 ; software or the related documents without Intel's prior written permission.
 ;
 ; This software and the related documents are provided as is, with no express
 ; or implied warranties, other than those that are expressly stated in the
 ; License.

(defclass PROCESSOR_SOCKET
  "The base class for processor sockets.  A node with two processors
   would have two processor socket instances."
  (is-a USER)
  (role concrete)
  (pattern-match reactive)

  (slot node_id (type SYMBOL) (visibility public))
  (slot index (type INTEGER))
  (slot reported-family (type INTEGER))
  (slot reported-arch-bits (type INTEGER))
  (slot processor (type INSTANCE) (allowed-classes PROCESSOR)))
