 ; Copyright 2018-2019 Intel Corporation
 ;
 ; This software and the related documents are Intel copyrighted materials, and
 ; your use of them is governed by the express license under which they were
 ; provided to you (License). Unless the License provides otherwise, you may
 ; not use, modify, copy, publish, distribute, disclose, or transmit this
 ; software or the related documents without Intel's prior written permission.
 ;
 ; This software and the related documents are provided as is, with no express
 ; or implied warranties, other than those that are expressly stated in the
 ; License.

(deffunction cpu-model-check (?m ?expected-value ?type)
 "The actual value is the cpu-model-number and the expected value
  is what you are looking for.  If actual value is 6155F and
  exptected value is 6155 this will return true"

 (bind ?str-a (str-cat "" ?m))
 (bind ?a-value (nth$ 10 (explode$ ?str-a)))
 (bind ?str-ac (str-cat "" ?a-value))
 (bind ?avalue (sub-string 1 4 ?str-ac))

 (bind ?str-e (str-cat "" ?expected-value))
 (bind ?ex-value (nth$ 10 (explode$ ?str-e)))
 (bind ?exvalue (str-cat "" ?ex-value))

 (if (and
         (eq ?type xeon_scalable)
         (< (str-compare ?avalue ?exvalue)0)) then
     (return TRUE))

 (return FALSE)
)

