; Copyright 2006-2019 Intel Corporation
;
; This software and the related documents are Intel copyrighted materials, and
; your use of them is governed by the express license under which they were
; provided to you (License). Unless the License provides otherwise, you may
; not use, modify, copy, publish, distribute, disclose, or transmit this
; software or the related documents without Intel's prior written permission.
;
; This software and the related documents are provided as is, with no express
; or implied warranties, other than those that are expressly stated in the
; License.

(load* rules/all_to_all/all_to_all-data-missing.clp)
(load* rules/all_to_all/ip-address-not-consistent.clp)
(load* rules/all_to_all/unable-to-obtain-ip-address.clp)
(load* rules/all_to_all/all-to-all-data-is-too-old.clp)

(load* rules/cpu/all-logical-cores-not-available.clp)
(load* rules/cpu/cpu-data-is-too-old.clp)
(load* rules/cpu/cpu-data-missing.clp)
(load* rules/cpu/cpu-missing-kernel-flag.clp)
(load* rules/cpu/cpu-model-name-not-uniform.clp)
(load* rules/cpu/cpu-tickless-error.clp)
(load* rules/cpu/cpu-tickless-isolcpus.clp)
(load* rules/cpu/cpu-tickless-kernel.clp)
(load* rules/cpu/cpu-tickless-list-not-uniform.clp)
(load* rules/cpu/cpu-tickless-preferred.clp)
(load* rules/cpu/cpu-tickless-rcu-nocbs.clp)
(load* rules/cpu/cpu-turbo-status-not-preferred.clp)
(load* rules/cpu/cpu-turbo-status-not-uniform.clp)
(load* rules/cpu/intel-pstate-data-error.clp)
(load* rules/cpu/intel-pstate-data-missing.clp)
(load* rules/cpu/latest-xp-hwloc-memoryside-cache-file.clp)
(load* rules/cpu/logical-cores-not-uniform.clp)
(load* rules/cpu/lscpu-data-error.clp)
(load* rules/cpu/lscpu-data-missing.clp)
(load* rules/cpu/threads-per-core-not-uniform.clp)
(load* rules/cpu/threads-per-core-unusual.clp)
(load* rules/cpu/xp-cluster-mode-ambiguous.clp)
(load* rules/cpu/xp-cluster-mode-not-uniform.clp)
(load* rules/cpu/xp-cluster-mode-preferred.clp)
(load* rules/cpu/xp-data-source-numactl.clp)
(load* rules/cpu/xp-memory-mode-ambiguous.clp)
(load* rules/cpu/xp-memory-mode-not-uniform.clp)
(load* rules/cpu/xp-memory-mode-preferred.clp)
(load* rules/cpu/xp-modes-data-is-too-old.clp)
(load* rules/cpu/xp-modes-data-missing.clp)

(load* rules/datconf/datconf-data-missing.clp)
(load* rules/datconf/datconf-no-dapl-providers.clp)
(load* rules/datconf/datconf-data-is-too-old.clp)

(load* rules/dgemm/dgemm-data-missing.clp)
(load* rules/dgemm/dgemm-outlier.clp)
(load* rules/dgemm/dgemm-data-is-too-old.clp)
(load* rules/dgemm/dgemm-data-is-substandard.clp)
(load* rules/dgemm/invalid-dgemm-data.clp)

(load* rules/environment/environment-data-missing.clp)
(load* rules/environment/environment-variable-not-uniform.clp)
(load* rules/environment/environment-data-is-too-old.clp)

(load* rules/ethernet/ethernet-data-missing.clp)
(load* rules/ethernet/ethernet-interrupt-coalescing-is-enabled.clp)
(load* rules/ethernet/ethernet-driver-is-not-consistent.clp)
(load* rules/ethernet/ethernet-driver-version-is-not-consistent.clp)
(load* rules/ethernet/ethernet-firmware-version-is-not-consistent.clp)
(load* rules/ethernet/ethernet-mtu-is-not-consistent.clp)
(load* rules/ethernet/ethernet-data-is-too-old.clp)

(load* rules/hpl/hpl-data-missing.clp)
(load* rules/hpl/hpl-cluster-failed.clp)
(load* rules/hpl/hpl-pairwise-failed.clp)
(load* rules/hpl/hpl-pairwise-outlier.clp)
(load* rules/hpl/hpl-data-is-too-old.clp)

(load* rules/imb_pingpong/imb_pingpong-data-missing.clp)
(load* rules/imb_pingpong/imb-pingpong-bandwidth-threshold.clp)
(load* rules/imb_pingpong/imb-pingpong-bandwidth-outlier.clp)
(load* rules/imb_pingpong/imb-pingpong-latency-threshold.clp)
(load* rules/imb_pingpong/imb-pingpong-latency-outlier.clp)
(load* rules/imb_pingpong/imb-pingpong-data-is-too-old.clp)

(load* rules/infiniband/infiniband-ca-type-is-not-consistent.clp)
(load* rules/infiniband/infiniband-data-missing.clp)
(load* rules/infiniband/infiniband-device-is-not-consistent.clp)
(load* rules/infiniband/infiniband-driver-is-not-consistent.clp)
(load* rules/infiniband/infiniband-firmware-version-is-not-consistent.clp)
(load* rules/infiniband/infiniband-hardware-version-is-not-consistent.clp)
(load* rules/infiniband/infiniband-physlot-is-not-consistent.clp)
(load* rules/infiniband/infiniband-physical-state-is-not-consistent.clp)
(load* rules/infiniband/infiniband-rate-is-not-consistent.clp)
(load* rules/infiniband/infiniband-rev-is-not-consistent.clp)
(load* rules/infiniband/infiniband-state-is-not-consistent.clp)
(load* rules/infiniband/infiniband-memlock-is-not-consistent.clp)
(load* rules/infiniband/infiniband-memlock-too-small.clp)
(load* rules/infiniband/infiniband-ofed-version-is-not-consistent.clp)
(load* rules/infiniband/infiniband-port-physical-state-not-linkup.clp)
(load* rules/infiniband/infiniband-port-state-not-active.clp)
(load* rules/infiniband/infiniband-data-is-too-old.clp)

(load* rules/iozone/iozone-ran-no-bandwidth.clp)
(load* rules/iozone/iozone-ran-not-complete.clp)
(load* rules/iozone/iozone-data-is-too-old.clp)
(load* rules/iozone/iozone-data-missing.clp)
(load* rules/iozone/iozone-outlier.clp)

(load* rules/kernel/kernel-data-missing.clp)
(load* rules/kernel/kernel-not-uniform.clp)
(load* rules/kernel/kernel-data-is-too-old.clp)

(load* rules/kernel_param/kernel_param-data-missing.clp)
(load* rules/kernel_param/kernel-param-not-uniform.clp)
(load* rules/kernel_param/kernel-param-data-is-too-old.clp)

(load* rules/lshw/lshw-data-missing.clp)
(load* rules/lshw/lshw-key-missing.clp)
(load* rules/lshw/lshw-not-uniform.clp)
(load* rules/lshw/lshw-data-is-too-old.clp)

(load* rules/lustre/lustre-data-missing.clp)
(load* rules/lustre/lustre-kernel-modules-loaded-no-data.clp)
(load* rules/lustre/lustre-kernel-modules-loaded-error.clp)
(load* rules/lustre/lustre-target-inactive.clp)
(load* rules/lustre/lustre-write-no-mount-points.clp)
(load* rules/lustre/lustre-mount-point-not-mounted.clp)
(load* rules/lustre/lustre-no-write-targets.clp)
(load* rules/lustre/lustre-write-targets-mismatch.clp)
(load* rules/lustre/lustre-write-targets-uniform.clp)
(load* rules/lustre/lustre-data-is-too-old.clp)

(load* rules/memory/memory-data-missing.clp)
(load* rules/memory/dmidecode-data-missing.clp)
(load* rules/memory/dmidecode-data-error.clp)
(load* rules/memory/dmidecode-command-not-found.clp)
(load* rules/memory/memory-not-uniform.clp)
(load* rules/memory/dimms-per-socket-not-uniform.clp)
(load* rules/memory/dimms-per-socket-not-balanced.clp)
(load* rules/memory/approx-dimms-per-socket-not-balanced.clp)
(load* rules/memory/memory-sizes-not-uniform.clp)
(load* rules/memory/memory-speeds-not-uniform.clp)
(load* rules/memory/memory-data-is-too-old.clp)

(load* rules/mount/mount-data-missing.clp)
(load* rules/mount/mount-proc-not-mounted.clp)
(load* rules/mount/mount-dev-shm-not-mounted.clp)
(load* rules/mount/mount-bad-tmp-perms.clp)
(load* rules/mount/mount-data-is-too-old.clp)

(load* rules/mpi_internode/mpi_internode-data-missing.clp)
(load* rules/mpi_internode/mpi-internode-broken.clp)
(load* rules/mpi_internode/mpi-internode-data-is-too-old.clp)

(load* rules/mpi_local/mpi_local-data-missing.clp)
(load* rules/mpi_local/mpi-local-broken.clp)
(load* rules/mpi_local/mpi-local-not-found.clp)
(load* rules/mpi_local/mpi-local-path-not-uniform.clp)
(load* rules/mpi_local/mpi-local-data-is-too-old.clp)

(load* rules/ntp/ntp-data-missing.clp)
(load* rules/ntp/ntp-offset-above-threshold.clp)
(load* rules/ntp/ntp-not-connected.clp)
(load* rules/ntp/ntp-data-is-too-old.clp)

(load* rules/opa/missing-opa-tools.clp)
(load* rules/opa/missing-saquery-tool.clp)
(load* rules/opa/opa-ca-is-not-consistent.clp)
(load* rules/opa/opa-data-missing.clp)
(load* rules/opa/opa-device-is-not-consistent.clp)
(load* rules/opa/opa-driver-is-not-consistent.clp)
(load* rules/opa/opa-firmware-version-is-not-consistent.clp)
(load* rules/opa/opa-hardware-version-is-not-consistent.clp)
(load* rules/opa/opa-physlot-is-not-consistent.clp)
(load* rules/opa/opa-physical-state-is-not-consistent.clp)
(load* rules/opa/opa-rate-is-not-consistent.clp)
(load* rules/opa/opa-state-is-not-consistent.clp)
(load* rules/opa/opa-memlock-is-not-consistent.clp)
(load* rules/opa/opa-memlock-too-small.clp)
(load* rules/opa/opa-port-physical-state-not-linkup.clp)
(load* rules/opa/opa-port-state-not-active.clp)
(load* rules/opa/opa-data-is-too-old.clp)
(load* rules/opa/opa-regex-error.clp)
(load* rules/opa/opa-subnet-manager-not-running.clp)

(load* rules/perl/perl-data-missing.clp)
(load* rules/perl/perl-not-found.clp)
(load* rules/perl/perl-not-functional.clp)
(load* rules/perl/perl-not-uniform.clp)
(load* rules/perl/perl-data-is-too-old.clp)

(load* rules/process/process-data-missing.clp)
(load* rules/process/process-is-a-zombie.clp)
(load* rules/process/process-is-high-cpu.clp)
(load* rules/process/process-is-high-memory.clp)
(load* rules/process/process-data-is-too-old.clp)

(load* rules/python/python-data-missing.clp)
(load* rules/python/python-not-found.clp)
(load* rules/python/python-not-functional.clp)
(load* rules/python/python-not-uniform.clp)
(load* rules/python/python-data-is-too-old.clp)

(load* rules/rpm/rpm-data-missing.clp)
(load* rules/rpm/rpm-is-missing.clp)
(load* rules/rpm/rpm-is-extra.clp)
(load* rules/rpm/rpm-data-is-too-old.clp)

(load* rules/sgemm/sgemm-data-missing.clp)
(load* rules/sgemm/sgemm-outlier.clp)
(load* rules/sgemm/sgemm-data-is-too-old.clp)
(load* rules/sgemm/sgemm-data-is-substandard.clp)
(load* rules/sgemm/invalid-sgemm-data.clp)
(load* rules/sgemm/sgemm-numactl-missing.clp)
(load* rules/sgemm/sgemm-taskset-missing.clp)

(load* rules/shells/shells-data-missing.clp)
(load* rules/shells/missing-sh.clp)
(load* rules/shells/missing-bash.clp)
(load* rules/shells/missing-csh.clp)
(load* rules/shells/missing-tcsh.clp)
(load* rules/shells/failing-sh.clp)
(load* rules/shells/failing-bash.clp)
(load* rules/shells/failing-csh.clp)
(load* rules/shells/failing-tcsh.clp)
(load* rules/shells/shells-data-is-too-old.clp)

(load* rules/storage/storage-data-missing.clp)
(load* rules/storage/storage-data-is-too-old.clp)
(load* rules/storage/storage-free-space.clp)

(load* rules/stream/stream-data-missing.clp)
(load* rules/stream/stream-no-runtimes.clp)
(load* rules/stream/stream-failed-validation.clp)
(load* rules/stream/stream-data-is-too-old.clp)
(load* rules/stream/stream-outlier.clp)

(load* rules/tcl/tcl-data-missing.clp)
(load* rules/tcl/tcl-not-found.clp)
(load* rules/tcl/tcl-not-functional.clp)
(load* rules/tcl/tcl-not-uniform.clp)
(load* rules/tcl/tcl-data-is-too-old.clp)
