; Copyright 2018-2019 Intel Corporation
;
; This software and the related documents are Intel copyrighted materials, and
; your use of them is governed by the express license under which they were
; provided to you (License). Unless the License provides otherwise, you may
; not use, modify, copy, publish, distribute, disclose, or transmit this
; software or the related documents without Intel's prior written permission.
;
; This software and the related documents are provided as is, with no express
; or implied warranties, other than those that are expressly stated in the
; License.

(defrule missing-lsb-tools-2018
  "checking of Tool(s) required but missing"
  (object (is-a CONFIG) (name [config])
          (clck-checks $? lsb_tools $?))
  (analyze-extension-done)
  (object (is-a NODE) (node_id ?n) (architecture x86_64))
  ?obj <- (object (is-a LSB-TOOL-SET) (node_id ?n)
                  (toolnames $?toolnames) (req-tools-2018 $? ?tool $?))
  (test (not (member$ ?tool ?toolnames)))
  =>
  (make-instance of BOOLEAN_SIGN (node_id ?n)
                 (severity 75) (value TRUE) (state observed) (source ?obj)
                 (id "missing-lsb-tool-2018") (sub-id ?tool) (args ?tool)))

