; Copyright 2006-2019 Intel Corporation
;
; This software and the related documents are Intel copyrighted materials, and
; your use of them is governed by the express license under which they were
; provided to you (License). Unless the License provides otherwise, you may
; not use, modify, copy, publish, distribute, disclose, or transmit this
; software or the related documents without Intel's prior written permission.
;
; This software and the related documents are provided as is, with no express
; or implied warranties, other than those that are expressly stated in the
; License.

 (defrule failing-sh
   (object (is-a CONFIG) (name [config])
           (clck-checks $? shells $?))
  (analyze-extension-done)
   (object (is-a NODE) (node_id ?n) (architecture x86_64))
   ?obj <- (object (is-a SHELLS-TOOL-SET) (node_id ?n) (toolnames $? sh $?))
   (test(neq (send ?obj get-stdout sh) "HelloWorld"))
   =>
   (make-instance of BOOLEAN_SIGN (node_id ?n)
                  (confidence 66) (severity 95)
                  (value TRUE) (state observed) (source ?obj)
                  (id "basic-shells-failing") (sub-id "sh") (args "sh")))

