; Copyright 2006-2019 Intel Corporation
;
; This software and the related documents are Intel copyrighted materials, and
; your use of them is governed by the express license under which they were
; provided to you (License). Unless the License provides otherwise, you may
; not use, modify, copy, publish, distribute, disclose, or transmit this
; software or the related documents without Intel's prior written permission.
;
; This software and the related documents are provided as is, with no express
; or implied warranties, other than those that are expressly stated in the
; License.

;SSF diagnosis
(batch* rules/intel_ssf_diagnosis.clp)

;Rules
(batch* rules/memory/memory-data-is-too-old.clp)
(batch* rules/memory/memory-data-missing.clp)
(batch* rules/memory/memory-minimum-required-compat-base.clp)

(batch* rules/perl/perl-data-is-too-old.clp)
(batch* rules/perl/perl-data-missing.clp)
(batch* rules/perl/perl-not-found.clp)
(batch* rules/perl/perl-not-functional.clp)
(batch* rules/perl/perl-not-ssf.clp)

(batch* rules/python/python-data-is-too-old.clp)
(batch* rules/python/python-data-missing.clp)
(batch* rules/python/python-not-found.clp)
(batch* rules/python/python-not-functional.clp)
(batch* rules/python/python-not-ssf.clp)

(batch* rules/shells/failing-sh.clp)
(batch* rules/shells/missing-sh-ssf.clp)
(batch* rules/shells/shells-data-is-too-old.clp)
(batch* rules/shells/shells-data-missing.clp)

(batch* rules/libraries/libraries-data-missing.clp)
(batch* rules/libraries/missing-libc-x86-64.clp)
(batch* rules/libraries/missing-libcrypt-x86-64.clp)
(batch* rules/libraries/missing-libdl-x86-64.clp)
(batch* rules/libraries/missing-libncurses-x86-64.clp)
(batch* rules/libraries/missing-libz-x86-64.clp)
(batch* rules/libraries/missing-ld-linux-x86-64-x86-64.clp)
(batch* rules/libraries/missing-ld-lsb-x86-64-x86-64.clp)
(batch* rules/libraries/missing-libncursesw-x86-64.clp)
(batch* rules/libraries/missing-libpam-x86-64.clp)
(batch* rules/libraries/missing-libgcc_s-x86-64.clp)
(batch* rules/libraries/missing-libm-x86-64.clp)
(batch* rules/libraries/missing-libpthread-x86-64.clp)
(batch* rules/libraries/missing-librt-x86-64.clp)
(batch* rules/libraries/missing-libstdc++5-x86-64.clp)
(batch* rules/libraries/missing-libstdc++6-x86-64.clp)
(batch* rules/libraries/missing-libutil-x86-64.clp)
(batch* rules/libraries/libraries-data-is-too-old.clp)

(batch* rules/tcl/tcl-data-is-too-old.clp)
(batch* rules/tcl/tcl-data-missing.clp)
(batch* rules/tcl/tcl-not-found.clp)
(batch* rules/tcl/tcl-not-functional.clp)
(batch* rules/tcl/tcl-not-minimum.clp)

(batch* rules/lsb_tools/lsb_tools-data-is-too-old.clp)
(batch* rules/lsb_tools/lsb_tools-data-missing.clp)
(batch* rules/lsb_tools/missing-lsb-tools.clp)

(batch* rules/storage/storage-data-is-too-old.clp)
(batch* rules/storage/storage-data-missing.clp)
(batch* rules/storage/storage-compute.clp)
(batch* rules/storage/storage-head.clp)
