#!/bin/bash

rdmsr=$(dirname $0)/intel64/rdmsr

num_cores=`grep -c ^processor /proc/cpuinfo`
i="0"

while [ $i -lt $num_cores ]
do
    $rdmsr $i 1A0 # turbo enabled, speedshift enabled
    $rdmsr $i 1B0 # energy management
    $rdmsr $i 1AA # hwp native mode/hwp epp
    echo ".............."

i=$[$i+1]
done
