#!/bin/bash
# Copyright 2015-2019 Intel Corporation
#
# This software and the related documents are Intel copyrighted materials, and
# your use of them is governed by the express license under which they were
# provided to you (License). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# software or the related documents without Intel's prior written permission.
#
# This software and the related documents are provided as is, with no express
# or implied warranties, other than those that are expressly stated in the
# License.

DAT_CONF=/etc/dat.conf

if [ ${DAT_OVERRIDE} ]; then
    DAT_CONF=${DAT_OVERRIDE}
elif [ -f /etc/dat.conf ]; then
    DAT_CONF=/etc/dat.conf
elif [ -f /etc/rdma/dat.conf ]; then
    DAT_CONF=/etc/rdma/dat.conf
fi

cat ${DAT_CONF}
