#!/bin/bash
# Copyright 2015-2019 Intel Corporation
#
# This software and the related documents are Intel copyrighted materials, and
# your use of them is governed by the express license under which they were
# provided to you (License). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# software or the related documents without Intel's prior written permission.
#
# This software and the related documents are provided as is, with no express
# or implied warranties, other than those that are expressly stated in the
# License.

if [[ "$CLCK_PROVIDER_HWLOC_DUMP_HWDATA_HWLOC_FILE" == "" ]]; then
    HWLOC_FILE=/var/run/hwloc/knl_memoryside_cache
else
    HWLOC_FILE="${CLCK_PROVIDER_HWLOC_DUMP_HWDATA_HWLOC_FILE}"
fi

cat $HWLOC_FILE
bios_file_timestamp=`stat -c %Y $HWLOC_FILE`
echo "Last Modified: " $bios_file_timestamp

current_date=`date +%s`
echo "Current Date: $current_date"
echo "Output of cat /proc/uptime"
cat /proc/uptime
last_reboot_duration=`cat /proc/uptime | awk '{print ($1-int($1)<0.50)?int($1):int($1)+1}'`
last_reboot_time=`expr $current_date - $last_reboot_duration`
echo "Last Reboot: " $last_reboot_time
