#!/bin/bash
# Copyright 2015-2019 Intel Corporation
#
# This software and the related documents are Intel copyrighted materials, and
# your use of them is governed by the express license under which they were
# provided to you (License). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# software or the related documents without Intel's prior written permission.
#
# This software and the related documents are provided as is, with no express
# or implied warranties, other than those that are expressly stated in the
# License.

. $(dirname $0)/../../functions

function clck_print_file_content() {
    if [ -f "$sysfs_ip_clck/$1" ]
    then
        echo "$1: " `\cat $sysfs_ip_clck/$1`
    fi
}

sysfs_ip_clck="/sys/devices/system/cpu/intel_pstate"

if [ ! -d "$sysfs_ip_clck" ]
then
    _stderr "$sysfs_ip_clck directory does not exist."
    exit 1
fi

# status of turbo mode
clck_print_file_content "no_turbo"
# max_perf_pct
clck_print_file_content "max_perf_pct"
# min_perf_pct
clck_print_file_content "min_perf_pct"
#num_pstates
clck_print_file_content "num_pstates"
