#!/bin/bash
# Copyright 2018-2019 Intel Corporation
#
# This software and the related documents are Intel copyrighted materials, and
# your use of them is governed by the express license under which they were
# provided to you (License). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# software or the related documents without Intel's prior written permission.
#
# This software and the related documents are provided as is, with no express
# or implied warranties, other than those that are expressly stated in the
# License.
. $(dirname $0)/../../functions
get_tool_presence "ldconfig"
ldconfig_path=$tool_path
$ldconfig_path -n -v $(sed 's/:/ /g' <<< $LD_LIBRARY_PATH) 2>/dev/null | \
gawk '/.*:/{ libpath=$0; sub(":", "/", libpath)} \
! /.*:/{("file -bL " libpath $3 "| cut -d , -f 2") | getline arch; print "\t" $1 " (" arch " ) => " libpath $3}'
