#!/bin/bash
# Copyright 2015-2019 Intel Corporation
#
# This software and the related documents are Intel copyrighted materials, and
# your use of them is governed by the express license under which they were
# provided to you (License). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# software or the related documents without Intel's prior written permission.
#
# This software and the related documents are provided as is, with no express
# or implied warranties, other than those that are expressly stated in the
# License.

# Run opahfirev this is a global run that runs on all
# HFI.

. $(dirname $0)/../../functions

if [[ "$CLCK_PROVIDER_OPAHFIREV_PATH" == "" ]]; then
    get_tool_path "opahfirev"
    BINARY=$tool_path
else
    BINARY="${CLCK_PROVIDER_OPAHFIREV_PATH}/opahfirev"
fi

$BINARY

