#!/bin/bash
# Copyright 2015-2019 Intel Corporation
#
# This software and the related documents are Intel copyrighted materials, and
# your use of them is governed by the express license under which they were
# provided to you (License). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# software or the related documents without Intel's prior written permission.
#
# This software and the related documents are provided as is, with no express
# or implied warranties, other than those that are expressly stated in the
# License.
. $(dirname $0)/../../functions
if [[ ! ${HOME} && -z "${CLCK_PROVIDER_STAT_HOME_PATH}" ]] ; then
   echo "/home/notadir"
   echo "9876 00009876"
else
   get_tool_presence "readlink"
   readlink_path=$tool_path
   if [[ "$readlink_path" == "CLCK_LOCATION_NOT_FOUND" ]]; then
     home=${HOME}
   else
     home=$($readlink_path -f ${HOME})
   fi

   if [ ! -z "${CLCK_PROVIDER_STAT_HOME_PATH}" ]
   then
       home=${CLCK_PROVIDER_STAT_HOME_PATH}
   fi

   echo ${home}

   stat -c "%a %i" ${home}
fi
