 ; Copyright 2006-2019 Intel Corporation
 ;
 ; This software and the related documents are Intel copyrighted materials, and
 ; your use of them is governed by the express license under which they were
 ; provided to you (License). Unless the License provides otherwise, you may
 ; not use, modify, copy, publish, distribute, disclose, or transmit this
 ; software or the related documents without Intel's prior written permission.
 ;
 ; This software and the related documents are provided as is, with no express
 ; or implied warranties, other than those that are expressly stated in the
 ; License.

(defclass DATCONF
  (is-a BASE_NODE BASE_TIMESTAMP DATABASE)
  (role concrete)
  (pattern-match reactive)

  ; The device name from the ipaddr provider
  (slot device-name (type SYMBOL))

  ; The channel adapter is the 7th column in dat.conf
  (slot common-adapter (type SYMBOL))

  ; The dapl providers is the first column in dat.conf
  (multislot dapl-providers (type SYMBOL)))
