 ; Copyright 2018-2019 Intel Corporation
 ;
 ; This software and the related documents are Intel copyrighted materials, and
 ; your use of them is governed by the express license under which they were
 ; provided to you (License). Unless the License provides otherwise, you may
 ; not use, modify, copy, publish, distribute, disclose, or transmit this
 ; software or the related documents without Intel's prior written permission.
 ;
 ; This software and the related documents are provided as is, with no express
 ; or implied warranties, other than those that are expressly stated in the
 ; License.

(defclass RHOS-TOOLS
  "Class for checking items on Red Hat Atomic systems, specfically for Red Hat
  Openshift"
  (is-a TOOL-SET)
  (role concrete)
  (pattern-match reactive)
  (slot set-name (type SYMBOL) (source composite) (storage shared)
                               (default rhos_tools))
  (multislot req-tools (storage shared) (type SYMBOL) (access read-only)
             (default (create$ dmesg dmidecode uname))))
