 ; Copyright 2018-2019 Intel Corporation
 ;
 ; This software and the related documents are Intel copyrighted materials, and
 ; your use of them is governed by the express license under which they were
 ; provided to you (License). Unless the License provides otherwise, you may
 ; not use, modify, copy, publish, distribute, disclose, or transmit this
 ; software or the related documents without Intel's prior written permission.
 ;
 ; This software and the related documents are provided as is, with no express
 ; or implied warranties, other than those that are expressly stated in the
 ; License.

(defclass ROLES-storage
  "This class has the counts of various types of nodes on a system"

  (is-a BASE_NODE DATABASE)

  (role concrete)
  (pattern-match reactive)

  (slot node-count-storage (type INTEGER) (default 0))
  (slot role-name (type SYMBOL) (default storage))
  (slot expected-node-count-storage (type INTEGER) (default 0)))

(defclass ROLES-application
  "This class has the counts of various types of nodes on a system"

  (is-a BASE_NODE DATABASE)

  (role concrete)
  (pattern-match reactive)

  (slot node-count-application (type INTEGER) (default 0))
  (slot role-name (type SYMBOL) (default application))
  (slot expected-node-count-application (type INTEGER) (default 0)))

(defclass ROLES-control
  "This class has the counts of various types of nodes on a system"

  (is-a BASE_NODE DATABASE)

  (role concrete)
  (pattern-match reactive)

  (slot node-count-control (type INTEGER) (default 0))
  (slot role-name (type SYMBOL) (default control))
  (slot expected-node-count-control (type INTEGER) (default 0)))
