; Copyright 2018-2019 Intel Corporation
;
; This software and the related documents are Intel copyrighted materials, and
; your use of them is governed by the express license under which they were
; provided to you (License). Unless the License provides otherwise, you may
; not use, modify, copy, publish, distribute, disclose, or transmit this
; software or the related documents without Intel's prior written permission.
;
; This software and the related documents are provided as is, with no express
; or implied warranties, other than those that are expressly stated in the
; License.

(deffunction test-parameters (?actual ?expected ?operator)
 "Test actual parameter meets or exceeds the expected parameter"

 (if (eq ?operator "equal") then

     (if (eq ?actual ?expected) then
       (return TRUE)
       else
       (return FALSE))
  else
   (if (eq ?operator "min")then
     (if (< ?actual ?expected) then
       (return TRUE)
      else
       (return FALSE))
   )
  else
   (if (eq ?operator "max")then
     (if (> ?actual ?expected) then
       (return TRUE)
       else
       (return FALSE))
   )
  )

)

