 ; Copyright 2006-2019 Intel Corporation
 ;
 ; This software and the related documents are Intel copyrighted materials, and
 ; your use of them is governed by the express license under which they were
 ; provided to you (License). Unless the License provides otherwise, you may
 ; not use, modify, copy, publish, distribute, disclose, or transmit this
 ; software or the related documents without Intel's prior written permission.
 ;
 ; This software and the related documents are provided as is, with no express
 ; or implied warranties, other than those that are expressly stated in the
 ; License.

(deffunction version-field (?index ?mf)
 "Given an index into a multifield list, return the corresponding
 value.  If there is no corresponding value, or the value is not an
 integer, return 0."
 (bind ?value (string-to-field (nth$ ?index ?mf)))
 (if (or (eq ?value nil) (neq (type ?value) INTEGER)) then
  (bind ?value 0))
 (return ?value))
