; Copyright 2018-2019 Intel Corporation
;
; This software and the related documents are Intel copyrighted materials, and
; your use of them is governed by the express license under which they were
; provided to you (License). Unless the License provides otherwise, you may
; not use, modify, copy, publish, distribute, disclose, or transmit this
; software or the related documents without Intel's prior written permission.
;
; This software and the related documents are provided as is, with no express
; or implied warranties, other than those that are expressly stated in the
; License.

(defrule min-mem-per-core-sdvis-single-node-2018.0
  "Check for a minimum of 3.5 gibibytes of random access memory per processor
   core."
  (object (is-a CONFIG) (name [config]) (clck-checks $? memory $?))
  (analyze-extension-done)
  ?obj <- (object (is-a MEMORY) (node_id ?node)
    (physical-per-core ?physical-per-core))
  (test (< ?physical-per-core 3758096384))
  =>
  (bind ?pval (perform_byte_conversion ?physical-per-core 1 0))
  (bind ?pvalr (perform_byte_conversion 3758096384 1 0))
  (make-instance of BOOLEAN_SIGN
    (node_id ?node)
    (severity 80)
    (state observed)
    (value TRUE)
    (id "min-mem-per-core-sdvis-single-node-2018.0")
    (args ?pvalr ?pval)))
