; Copyright 2006-2019 Intel Corporation
;
; This software and the related documents are Intel copyrighted materials, and
; your use of them is governed by the express license under which they were
; provided to you (License). Unless the License provides otherwise, you may
; not use, modify, copy, publish, distribute, disclose, or transmit this
; software or the related documents without Intel's prior written permission.
;
; This software and the related documents are provided as is, with no express
; or implied warranties, other than those that are expressly stated in the
; License.

(batch* rules/all_to_all/all-to-all-data-is-too-old.clp)
(batch* rules/all_to_all/all_to_all-data-missing.clp)
(batch* rules/all_to_all/ip-address-not-consistent.clp)
(batch* rules/all_to_all/unable-to-obtain-ip-address.clp)

(batch* rules/memory/memory-data-is-too-old.clp)
(batch* rules/memory/memory-data-missing.clp)
(batch* rules/memory/memory-minimum-required-compat-hpc.clp)

(batch* rules/mpi_local/mpi-local-broken.clp)
(batch* rules/mpi_local/mpi-local-data-is-too-old.clp)
(batch* rules/mpi_local/mpi_local-data-missing.clp)
(batch* rules/mpi_local/mpi-local-not-found.clp)

(batch* rules/libraries/libraries-data-missing.clp)
(batch* rules/libraries/missing-libfontconfig-x86-64.clp)
(batch* rules/libraries/missing-libfreetype-x86-64.clp)
(batch* rules/libraries/missing-libGL-x86-64.clp)
(batch* rules/libraries/missing-libGLU-x86-64.clp)
(batch* rules/libraries/missing-libICE-x86-64.clp)
(batch* rules/libraries/missing-libSM-x86-64.clp)
(batch* rules/libraries/missing-libX11-x86-64.clp)
(batch* rules/libraries/missing-libXext-x86-64.clp)
(batch* rules/libraries/missing-libXft-x86-64.clp)
(batch* rules/libraries/missing-libXi-x86-64.clp)
(batch* rules/libraries/missing-libXrender-x86-64.clp)
(batch* rules/libraries/missing-libXt-x86-64.clp)
(batch* rules/libraries/missing-libXtst-x86-64.clp)
(batch* rules/libraries/missing-libjpeg-x86-64.clp)
(batch* rules/libraries/missing-libxcb-x86-64.clp)
(batch* rules/libraries/libraries-data-is-too-old.clp)
