#!/bin/bash
# Copyright 2015-2019 Intel Corporation
#
# This software and the related documents are Intel copyrighted materials, and
# your use of them is governed by the express license under which they were
# provided to you (License). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# software or the related documents without Intel's prior written permission.
#
# This software and the related documents are provided as is, with no express
# or implied warranties, other than those that are expressly stated in the
# License.

. $(dirname $0)/../../functions

get_tool_path "dmesg"

if [[ "$CLCK_PROVIDER_DMESG_BINARY" == "" ]]; then
    BINARY=$tool_path
else
    BINARY="${CLCK_PROVIDER_DMESG_BINARY}"
fi

$BINARY | grep -e "Kernel command line"
$BINARY | grep -e "NO_HZ"
$BINARY | grep -e "NOHZ"
$BINARY | grep -e "Disabling x2apic"
