#!/bin/bash
# Copyright 2015-2019 Intel Corporation
#
# This software and the related documents are Intel copyrighted materials, and
# your use of them is governed by the express license under which they were
# provided to you (License). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# software or the related documents without Intel's prior written permission.
#
# This software and the related documents are provided as is, with no express
# or implied warranties, other than those that are expressly stated in the
# License.

if [ "${CLCK_PROVIDER_IOZONE_FILESIZE}" == "" ]; then
    FILESIZE=65536
else
    FILESIZE="${CLCK_PROVIDER_IOZONE_FILESIZE}"
fi

if [ "${CLCK_PROVIDER_IOZONE_RECSIZE}" == "" ]; then
    RECSIZE=16384
else
    RECSIZE="${CLCK_PROVIDER_IOZONE_RECSIZE}"
fi

if [ "${CLCK_PROVIDER_IOZONE_WORKDIR}" == "" ]; then
    WORKDIR=/tmp
else
    WORKDIR="${CLCK_PROVIDER_IOZONE_WORKDIR}"
fi

exec $(dirname $0)/intel64/iozone -i0 -i1 -r ${RECSIZE} -s ${FILESIZE} -+n -+r -I -f ${WORKDIR}/iozone.tmp
