#!/bin/bash
# Copyright 2015-2019 Intel Corporation
#
# This software and the related documents are Intel copyrighted materials, and
# your use of them is governed by the express license under which they were
# provided to you (License). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# software or the related documents without Intel's prior written permission.
#
# This software and the related documents are provided as is, with no express
# or implied warranties, other than those that are expressly stated in the
# License.

if [[ "$CLCK_PROVIDER_OPATOOLS_PATH" == "" ]]; then
    BIN_PATH=/usr/sbin
else
    BIN_PATH="${CLCK_PROVIDER_OPATOOLS_PATH}"
fi

# Check to make sure our Intel® Omni-Path Architecture tools are present on the system
. $(dirname $0)/../../functions
get_tool_presence "opahfirev" $BIN_PATH
get_tool_presence "opasmaquery" $BIN_PATH
get_tool_presence "saquery" $BIN_PATH

